## ros-melodic-ncd-parser 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ncd_parser)

# List C++ dependencies on ros packages
set( ROS_CXX_DEPENDENCIES
    roscpp
    sensor_msgs
    tf )

# Find catkin and all required ROS components
find_package(catkin REQUIRED COMPONENTS ${ROS_CXX_DEPENDENCIES})

# Set include directories
include_directories(include ${catkin_INCLUDE_DIRS})

# Declare info that other packages need to import library generated here
catkin_package()

#Create node
add_executable( ${PROJECT_NAME} src/ncd_parser.cpp)
target_link_libraries( ${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

#Install node
install(TARGETS ${PROJECT_NAME}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

#Install demo directory
install(DIRECTORY demo
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

=== debian/changelog ===
ros-melodic-ncd-parser (0.3.3-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Mon, 15 Feb 2021 05:00:00 -0000

ros-melodic-ncd-parser (0.3.2-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Sat, 19 Mar 2016 04:00:00 -0000

ros-melodic-ncd-parser (0.3.1-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Fri, 18 Dec 2015 05:00:00 -0000

ros-melodic-ncd-parser (0.3.0-2bionic) bionic; urgency=high



 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Tue, 10 Nov 2015 05:00:00 -0000

ros-melodic-ncd-parser (0.2.1-2bionic) bionic; urgency=high

  * [doc] README files to contain catkin instructions
  * [sys] Catkinization: ncd_parser
  * [sys] Small tweaks to CMakeLists.txt and package.xml files
  * Contributors: Ivan Dryanovski, Miguel Sarabia

 -- Ivan Dryanovski <ccnyroboticslab@gmail.com>  Wed, 14 Oct 2015 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-ncd-parser
Section: misc
Priority: optional
Maintainer: Ivan Dryanovski <ccnyroboticslab@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf
Homepage: http://wiki.ros.org/ncd_parser
Standards-Version: 3.9.2

Package: ros-melodic-ncd-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf
Description: The ncd_parser package reads in .alog data files from the New College Dataset and broadcasts scan and odometry messages to ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ncd-parser//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
